Bug 1313428 (CVE-2016-2847) - CVE-2016-2847 kernel: pipe: limit the per-user amount of pages allocated in pipes
Summary: CVE-2016-2847 kernel: pipe: limit the per-user amount of pages allocated in p...
Status: NEW
Alias: CVE-2016-2847
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151228,repor...
Keywords: Security
Depends On: 1313959 1074510 1313433 1313960 1313962 1313963 1371573
Blocks: 1313449
TreeView+ depends on / blocked
 
Reported: 2016-03-01 15:22 UTC by Vladis Dronov
Modified: 2019-02-08 14:56 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It is possible for a single process to cause an OOM condition by filling large pipes with data that are never read. A typical process filling 4096 pipes with 1 MB of data will use 4 GB of memory and there can be multiple such processes, up to a per-user-limit.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2574 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2016-11-03 12:06:10 UTC
Red Hat Product Errata RHSA-2016:2584 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2016-11-03 12:08:49 UTC
Red Hat Product Errata RHSA-2017:0217 normal SHIPPED_LIVE Important: kernel security and bug fix update 2017-01-31 18:11:38 UTC

Description Vladis Dronov 2016-03-01 15:22:25 UTC
On no-so-small systems, it is possible for a single process to cause an OOM condition
by filling large pipes with data that are never read. A typical process filling 4096
pipes with 1 MB of data will use 4 GB of memory. On small systems it may be tricky to
set the pipe max size to prevent this from happening. The result is an OOM condition
and oom-killer is not able to help much, as the memory for the pipe data is a kernel
memory and a memory footprint of offensive processes is small. 

Upstream patch:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=759c01142a5d0f364a462346168a56de28a80f52

Discussion threads:
https://www.spinics.net/lists/linux-fsdevel/msg92912.html | https://lkml.org/lkml/2015/12/28/150
https://www.spinics.net/lists/linux-fsdevel/msg93317.html | https://lkml.org/lkml/2016/1/11/310
https://www.spinics.net/lists/linux-fsdevel/msg93601.html | https://lkml.org/lkml/2016/1/18/171

CVE request and assignment:
http://seclists.org/oss-sec/2016/q1/467
http://seclists.org/oss-sec/2016/q1/538

Comment 1 Vladis Dronov 2016-03-01 15:26:17 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1313433]

Comment 2 Vladis Dronov 2016-03-01 15:39:08 UTC
Acknowledgments:

Name: Tetsuo Handa

Comment 3 Vladis Dronov 2016-03-02 16:34:18 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2. Future Linux kernel updates for the respective releases might address this issue.

Comment 8 Fedora Update System 2016-03-11 13:26:51 UTC
kernel-4.4.4-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-03-12 00:50:42 UTC
kernel-4.4.4-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2016-11-03 15:49:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html

Comment 11 errata-xmlrpc 2016-11-03 19:43:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html

Comment 12 errata-xmlrpc 2016-11-03 21:32:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html

Comment 13 errata-xmlrpc 2016-11-03 21:48:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html

Comment 14 errata-xmlrpc 2017-01-31 13:12:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.2 Extended Update Support

Via RHSA-2017:0217 https://rhn.redhat.com/errata/RHSA-2017-0217.html


Note You need to log in before you can comment on or make changes to this bug.